Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class FXCMOrdStatusFactory

    java.lang.Object
      com.fxcm.fix.FXCMOrdStatusFactory

    public class FXCMOrdStatusFactory

extends Object

Field Summary
`static IFXCMOrdStatus` | `CANCELLED`
`static IFXCMOrdStatus` | `DEALER_INTERVENTION`
`static IFXCMOrdStatus` | `EXECUTED`
`static IFXCMOrdStatus` | `EXECUTING`
`static IFXCMOrdStatus` | `EXPIRED`
`static IFXCMOrdStatus` | `INPROCESS`
`static IFXCMOrdStatus` | `PEDNING_CALCULATED`
`static IFXCMOrdStatus` | `PENDING_CANCEL`
`static IFXCMOrdStatus` | `PENDING_CANCEL_CALCULATED`
`static IFXCMOrdStatus` | `REJECTED`
`static IFXCMOrdStatus` | `REQUOTED`
`static IFXCMOrdStatus` | `WAITING`

Constructor Summary
`FXCMOrdStatusFactory()`

Method Summary
`static IFXCMOrdStatus` | `toCode(String aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WAITING

    public static final IFXCMOrdStatus WAITING

### INPROCESS

    public static final IFXCMOrdStatus INPROCESS

### DEALER_INTERVENTION

    public static final IFXCMOrdStatus DEALER_INTERVENTION

### REQUOTED

    public static final IFXCMOrdStatus REQUOTED

### EXECUTING

    public static final IFXCMOrdStatus EXECUTING

### CANCELLED

    public static final IFXCMOrdStatus CANCELLED

### REJECTED

    public static final IFXCMOrdStatus REJECTED

### EXPIRED

    public static final IFXCMOrdStatus EXPIRED

### EXECUTED

    public static final IFXCMOrdStatus EXECUTED

### PEDNING_CALCULATED

    public static final IFXCMOrdStatus PEDNING_CALCULATED

### PENDING_CANCEL

    public static final IFXCMOrdStatus PENDING_CANCEL

### PENDING_CANCEL_CALCULATED

    public static final IFXCMOrdStatus PENDING_CANCEL_CALCULATED

Constructor Detail

### FXCMOrdStatusFactory

    public FXCMOrdStatusFactory()

Method Detail

### toCode

    public static IFXCMOrdStatus toCode(String aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``FXCMORDSTATUS_*``
  Returns:
    fxcm order status fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.